EDIT - bug #9171

Doubtful taxa are not found in bulkeditor
07/30/2020 11:46 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal Found in Version:

Description

merkw(rdig. Ich bin im Bulk Editor fiir Taxa und suche (eigentlich) nach Obione chilensis. Folgendes Ergebnis:

Search ~

Taxon Mavigator % 2 & © B ||Txe B = O ||[&F Det

Atriplex wrightii 5.Watson ~
Atriplex zahlensis Mouterde
Obione chilensis (Colla) Ulbr. Title Cache | Obione ch*l Search | |32
Obione clivicola (LM .Johnst,) L
Obione corsica Rouy

Obione cryatallina (Ehrenb.) Ul
Obione decumbens (5.\Watson]

Taxa =| Publish Type
1 Obione chenopodicides Co... v Synonym

Obione flabellum (Bunge ex Bc
Obione glauca Meq.
Obione glaucescens (Phil.) Ulb
Das Taxon wird nicht gefunden, daflr aber ein Synonym.
Ich habe noch nicht viel mit dem Taxon Bulkeditor gearbeitet — bearbeitet man da auch Synonyme? Da missen wir dann mal Uber
die Terminologie nachdenken.
Und warum wird Obione chilensis nicht gefunden? Vielleicht, weil das doubtful Flag im Details View gesetzt ist?
Tatsachlich! Das ist dann wirklich ein Bug!
Herzlichen Gruf3
Walter

Associated revisions

Revision b8784167 - 08/11/2020 02:00 PM - Katja Luther

ref #9171: search for pattern and ?+pattern to find doubtful taxa

Revision 5dee9819 - 08/19/2020 08:54 AM - Katja Luther

ref #9171: adapt handling of number of results

Revision 1364ddca - 08/19/2020 05:06 PM - Katja Luther
ref #9171: add includeDoubtful flag to uuidAndTitleCache searchh

Revision 38af64d4 - 08/19/2020 06:05 PM - Katja Luther

ref #9171: use includeDoubtful flag for taxonnode search dialog

History

#1 - 07/30/2020 11:47 AM - Katja Luther
- Category set to taxeditor

- Assignee set to Katja Luther

#2 - 07/30/2020 01:11 PM - Katja Luther

The search is based on the titleCache and the titleCache of doubtful taxa starts with "?", we should search on the titleCache of the taxon and of the
name then we will find ?Obione chilensis.
A workaround could be to use "™ at the beginning.

04/20/2024 1/3



#3 - 08/10/2020 02:15 PM - Andreas Miiller

Katja Luther wrote:

The search is based on the titleCache and the titleCache of doubtful taxa starts with "?", we should search on the titleCache of the taxon and of
the name then we will find ?Obione chilensis.
A workaround could be to use "' at the beginning.

| am not sure which of the solutions is the correct one and which is the workaround. To me, searching on the name feels like the workaround.
Generally we are searching here for taxa, not for pure names. So someone may search for 'Abies alba* sec. xyz*' and may not get a result with the
first solution. While searching for 'Abies alba sec. xyz*' gives a solution. However, * is a bit too vague and maybe reduces performance. A better
solution might be to search for both 'Abies alba* sec. xyz*' and '_Abies alba* sec. xyz*' or even '?Abies alba* sec. xyz*'. This is because | think there
are no other cases of prefixes then the '?' case until now.

#4 - 08/10/2020 02:16 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.18
As this issue comes up from time to time | put it to the current milestone. Maybe oral discussion is needed.

#5 - 08/10/2020 02:22 PM - Andreas Miiller

- Description updated

#6 - 08/11/2020 02:27 PM - Katja Luther
- Description updated
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
this should be fixed, please review.

#7 - 08/12/2020 03:21 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 0 to 50

Generally the search works now. But there are the following issues:

e the overriden methods findByTitleWithRestrictions(...) and findByTitle(...) use pagers. The paging mechanism will not work correctly as far as |
can see

e discussion is needed how the ordering should work in the methods and in the Ul. Should the "?" be included in the ordering or should the "?" be
neglected for ordering

#8 - 08/12/2020 03:24 PM - Andreas Miiller
- Priority changed from New to Highest

Also the implementation for findByTitleWithRestrictions and findByTitle differs a bit in terms of handling "numberOfResults". As both algorithms need
to be adapted to work correctly with paging (and sorting) this might be automatically solved.

#9 - 08/17/2020 09:45 AM - Katja Luther
Andreas Muller wrote:
Generally the search works now. But there are the following issues:

e the overriden methods findByTitleWithRestrictions(...) and findByTitle(...) use pagers. The paging mechanism will not work correctly as far
as | can see

e discussion is needed how the ordering should work in the methods and in the Ul. Should the "?" be included in the ordering or should the
"?" be neglected for ordering

at the moment the ordering includes the "?" because it works on the titlecache.
#10 - 08/19/2020 08:34 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

This works and can be closed.

#11 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
